package cn.axzo.workflow.core.common.code;

import cn.axzo.framework.domain.web.code.IModuleRespCode;
import lombok.AllArgsConstructor;
import lombok.Getter;

/**
 * 表单模型响应码
 *
 * @author wangli
 * @since 2023/12/14 16:25
 */
@Getter
@AllArgsConstructor
public enum FormModelRespCode implements IModuleRespCode {
    FORM_MODEL_NOT_EXISTS("001", "表单模型不存在"),
    FORM_MODEL_ID_NOT_EXISTS("002", "表单模型ID【{}】不存在"),
    ;

    private String code;
    private String message;

    @Override
    public String getModuleCode() {
        return "07";
    }

    @Override
    public String getProjectCode() {
        return "998";
    }

    public void setCode(String code) {
        this.code = code;
    }


    public void setMessage(String message) {
        this.message = message;
    }

}
